Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/vocabularies.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/vocabularies.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/vocabularies.py	(revision 7811)
@@ -25,14 +25,14 @@
 from zc.sourcefactory.basic import BasicSourceFactory
 from zc.sourcefactory.contextual import BasicContextualSourceFactory
-from waeup.sirp.interfaces import SimpleSIRPVocabulary
-from waeup.sirp.interfaces import MessageFactory as _
-from waeup.sirp.students.lgas import LGAS
-from waeup.sirp.students.nats import NATS
-from waeup.sirp.university.vocabularies import course_levels
+from waeup.kofa.interfaces import SimpleKOFAVocabulary
+from waeup.kofa.interfaces import MessageFactory as _
+from waeup.kofa.students.lgas import LGAS
+from waeup.kofa.students.nats import NATS
+from waeup.kofa.university.vocabularies import course_levels
 
-lgas_vocab = SimpleSIRPVocabulary(
+lgas_vocab = SimpleKOFAVocabulary(
     *sorted([(x[1],x[0]) for x in LGAS]))
 
-nats_vocab = SimpleSIRPVocabulary(
+nats_vocab = SimpleKOFAVocabulary(
     *sorted([(x[1],x[0]) for x in NATS]))
 
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/workflow.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/workflow.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/workflow.py	(revision 7811)
@@ -5,11 +5,11 @@
 from hurry.workflow.workflow import Transition, WorkflowState, NullCondition
 from hurry.workflow.interfaces import IWorkflowState, IWorkflowTransitionEvent
-from waeup.sirp.interfaces import (
-    IObjectHistory, ISIRPWorkflowInfo, ISIRPUtils,
+from waeup.kofa.interfaces import (
+    IObjectHistory, IKOFAWorkflowInfo, IKOFAUtils,
     CREATED, ADMITTED, CLEARANCE, REQUESTED, CLEARED, PAID, RETURNING,
     REGISTERED, VALIDATED)
-from waeup.sirp.interfaces import MessageFactory as _
-from waeup.sirp.workflow import SIRPWorkflow, SIRPWorkflowInfo
-from waeup.sirp.students.interfaces import IStudent, IStudentsUtils
+from waeup.kofa.interfaces import MessageFactory as _
+from waeup.kofa.workflow import KOFAWorkflow, KOFAWorkflowInfo
+from waeup.kofa.students.interfaces import IStudent, IStudentsUtils
 
 
@@ -156,5 +156,5 @@
 UNLOCK_CLEARANCE_TRANS = ('reset3', 'reset4', 'start_clearance')
 
-registration_workflow = SIRPWorkflow(REGISTRATION_TRANSITIONS)
+registration_workflow = KOFAWorkflow(REGISTRATION_TRANSITIONS)
 
 class RegistrationWorkflowState(WorkflowState, grok.Adapter):
@@ -167,9 +167,9 @@
     state_id = 'wf.registration.id'
 
-class RegistrationWorkflowInfo(SIRPWorkflowInfo, grok.Adapter):
+class RegistrationWorkflowInfo(KOFAWorkflowInfo, grok.Adapter):
     """Adapter to adapt Student objects to workflow info objects.
     """
     grok.context(IStudent)
-    grok.provides(ISIRPWorkflowInfo)
+    grok.provides(IKOFAWorkflowInfo)
 
     def __init__(self, context):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/testing.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/testing.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/testing.py	(revision 7811)
@@ -16,5 +16,5 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-"""Testing support for :mod:`waeup.sirp`.
+"""Testing support for :mod:`waeup.kofa`.
 """
 import grok
@@ -28,5 +28,5 @@
 import warnings
 import zope.component
-import waeup.sirp
+import waeup.kofa
 from zope.app.testing.functional import (
     ZCMLLayer, FunctionalTestSetup, getRootFolder, sync, FunctionalTestCase)
@@ -37,5 +37,5 @@
 
 ftesting_zcml = os.path.join(
-    os.path.dirname(waeup.sirp.__file__), 'ftesting.zcml')
+    os.path.dirname(waeup.kofa.__file__), 'ftesting.zcml')
 FunctionalLayer = ZCMLLayer(ftesting_zcml, __name__, 'FunctionalLayer',
                             allow_teardown=True)
@@ -45,5 +45,5 @@
     """
     result = logging.root.manager.loggerDict.keys()
-    ws_loggers = [x for x in result if 'waeup.sirp' in x]
+    ws_loggers = [x for x in result if 'waeup.kofa' in x]
     if ws_loggers:
         # For debugging: show any remaining loggers from w.s. namespace
@@ -93,8 +93,8 @@
 
 def maybe_grok():
-    """Try to grok the :mod:`waeup.sirp` package.
+    """Try to grok the :mod:`waeup.kofa` package.
 
     For many tests, even simple ones, we want the components defined
-    somewhere in the :mod:`waeup.sirp` package being registered. While
+    somewhere in the :mod:`waeup.kofa` package being registered. While
     grokking the complete package can become expensive when done many
     times, we only want to grok if it did not happen
@@ -105,5 +105,5 @@
     registered and does nothing in that case.
 
-    The grokking of :mod:`waeup.sirp` is done with warnings disabled.
+    The grokking of :mod:`waeup.kofa` is done with warnings disabled.
 
     Returns ``True`` if grokking was done, ``False`` else.
@@ -122,8 +122,8 @@
 
       import unittest2 as unittest # Want Python 2.7 features
-      from waeup.sirp.testing import (
+      from waeup.kofa.testing import (
         maybe_grok, setUpZope, cleanUpZope,
         )
-      from waeup.sirp.app import University
+      from waeup.kofa.app import University
 
       class MyTestCase(unittest.TestCase):
@@ -153,5 +153,5 @@
     Here the component registration is done only once for the whole
     :class:`unittest.TestCase` and no ZODB is needed. That means
-    inside the tests you can expect to have all :mod:`waeup.sirp`
+    inside the tests you can expect to have all :mod:`waeup.kofa`
     components (utilities, adapter, events) registered but as objects
     have here still have no place inside a ZODB things like 'browsing'
@@ -163,5 +163,5 @@
          If you use the Zope testrunner (from :mod:`zope.testing`)
          then you have to use appropriate layers like the
-         :class:`waeup.sirp.testing.SIRPUnitTestLayer`.
+         :class:`waeup.kofa.testing.KOFAUnitTestLayer`.
 
     Usage with :mod:`zope.testing` testrunners
@@ -172,10 +172,10 @@
     like the one defined in this module.
 
-    .. seealso:: :class:`waeup.sirp.testing.SIRPUnitTestLayer`
+    .. seealso:: :class:`waeup.kofa.testing.KOFAUnitTestLayer`
 
     """
     gsm =  getGlobalSiteManager()
     # If there are any event handlers registered already, we assume
-    # that waeup.sirp was grokked already. There might be a batter
+    # that waeup.kofa was grokked already. There might be a batter
     # check, though.
     if len(list(gsm.registeredHandlers())) > 0:
@@ -184,5 +184,5 @@
     addCheckerPublic()
     warnings.simplefilter('ignore') # disable (erraneous) warnings
-    grok.testing.grok('waeup.sirp')
+    grok.testing.grok('waeup.kofa')
     warnings.simplefilter('default') # reenable warnings
     return True
@@ -191,5 +191,5 @@
     """Register a datacenter config utility for non-functional tests.
     """
-    from waeup.sirp.interfaces import IDataCenterConfig
+    from waeup.kofa.interfaces import IDataCenterConfig
     conf = queryUtility(IDataCenterConfig)
     if conf is not None:
@@ -204,5 +204,5 @@
     """Unregister a datacenter config utility for non-functional tests.
     """
-    from waeup.sirp.interfaces import IDataCenterConfig
+    from waeup.kofa.interfaces import IDataCenterConfig
     conf = queryUtility(IDataCenterConfig)
     if conf is None:
@@ -214,10 +214,10 @@
     return
 
-class SIRPUnitTestLayer(object):
-    """A layer for tests that groks `waeup.sirp`.
-
-    A Zope test layer that registers all :mod:`waeup.sirp` components
+class KOFAUnitTestLayer(object):
+    """A layer for tests that groks `waeup.kofa`.
+
+    A Zope test layer that registers all :mod:`waeup.kofa` components
     before attached tests are run and cleans this registrations up
-    afterwards. Also basic (non-waeup.sirp) components like the event
+    afterwards. Also basic (non-waeup.kofa) components like the event
     dispatcher machinery are registered, set up and cleaned up.
 
@@ -237,9 +237,9 @@
 
       import unittest
-      from waeup.sirp.testing import SIRPUnitTestLayer
+      from waeup.kofa.testing import KOFAUnitTestLayer
 
       class MyTestCase(unittest.TestCase):
 
-          layer = SIRPUnitTestLayer
+          layer = KOFAUnitTestLayer
 
           # per-test setups and real tests go here...
@@ -331,5 +331,5 @@
 def clear_logger_collector():
     from zope.component import queryUtility, getGlobalSiteManager
-    from waeup.sirp.interfaces import ILoggerCollector
+    from waeup.kofa.interfaces import ILoggerCollector
     collector = queryUtility(ILoggerCollector)
     if collector is None:
@@ -363,12 +363,12 @@
         If no special `checker` is passed, we use an extended
         :class:`doctest.OutputChecker` as defined in
-        :mod:`waeup.sirp.testing`.
+        :mod:`waeup.kofa.testing`.
 
         If optional `optionflags` are not given, use ``REPORT_NDIFF``,
         ``ELLIPSIS``, and ``NORMALIZE_WHITESPACE``.
 
-        .. seealso:: :data:`waeup.sirp.testing.optionflags`
-
-        .. seealso:: :data:`waeup.sirp.testing.checker`
+        .. seealso:: :data:`waeup.kofa.testing.optionflags`
+
+        .. seealso:: :data:`waeup.kofa.testing.checker`
         """
         if checker.check_output(want, got, optionflags):
@@ -406,5 +406,5 @@
     instance by something like:
 
-      from waeup.sirp.testing import get_doctest_suite
+      from waeup.kofa.testing import get_doctest_suite
       def test_suite():
         suite = get_doctest_suite(['mypkg/foo.txt', 'mypkg/bar.txt'])
Index: /main/waeup.kofa/trunk/src/waeup/kofa/tests/test_app.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/tests/test_app.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/tests/test_app.py	(revision 7811)
@@ -22,7 +22,7 @@
 from zope.component.hooks import setSite
 from zope.interface.verify import verifyClass, verifyObject
-from waeup.sirp.app import University
-from waeup.sirp.interfaces import IUniversity
-from waeup.sirp.testing import FunctionalLayer, FunctionalTestCase
+from waeup.kofa.app import University
+from waeup.kofa.interfaces import IUniversity
+from waeup.kofa.testing import FunctionalLayer, FunctionalTestCase
 
 class UniversityTests(FunctionalTestCase):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/tests/test_authentication.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/tests/test_authentication.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/tests/test_authentication.py	(revision 7811)
@@ -22,7 +22,7 @@
 from zope.pluggableauth.interfaces import IAuthenticatorPlugin
 from zope.securitypolicy.interfaces import IPrincipalRoleManager
-from waeup.sirp.testing import FunctionalTestCase, FunctionalLayer
-from waeup.sirp.authentication import (
-    UserAuthenticatorPlugin, Account, SIRPPrincipalInfo,
+from waeup.kofa.testing import FunctionalTestCase, FunctionalLayer
+from waeup.kofa.authentication import (
+    UserAuthenticatorPlugin, Account, KOFAPrincipalInfo,
     get_principal_role_manager)
 
@@ -64,5 +64,5 @@
         result2 = plugin.authenticateCredentials(
             dict(login='bob', password='nonsense'))
-        self.assertTrue(isinstance(result1, SIRPPrincipalInfo))
+        self.assertTrue(isinstance(result1, KOFAPrincipalInfo))
         self.assertTrue(result2 is None)
         return
@@ -73,5 +73,5 @@
         result1 = plugin.principalInfo('bob')
         result2 = plugin.principalInfo('manfred')
-        self.assertTrue(isinstance(result1, SIRPPrincipalInfo))
+        self.assertTrue(isinstance(result1, KOFAPrincipalInfo))
         self.assertTrue(result2 is None)
         return
Index: /main/waeup.kofa/trunk/src/waeup/kofa/tests/test_configuration.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/tests/test_configuration.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/tests/test_configuration.py	(revision 7811)
@@ -20,8 +20,8 @@
 from zope.component.interfaces import IFactory
 from zope.interface import verify
-from waeup.sirp.testing import FunctionalLayer, FunctionalTestCase
-from waeup.sirp.configuration import (
+from waeup.kofa.testing import FunctionalLayer, FunctionalTestCase
+from waeup.kofa.configuration import (
     ConfigurationContainer, SessionConfiguration, SessionConfigurationFactory)
-from waeup.sirp.interfaces import(
+from waeup.kofa.interfaces import(
     IConfigurationContainer, ISessionConfiguration, ISessionConfigurationAdd)
 
Index: /main/waeup.kofa/trunk/src/waeup/kofa/tests/test_doctests.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/tests/test_doctests.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/tests/test_doctests.py	(revision 7811)
@@ -16,7 +16,7 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-"""Register doctests for waeup.sirp.
+"""Register doctests for waeup.kofa.
 """
-from waeup.sirp.testing import get_doctest_suite
+from waeup.kofa.testing import get_doctest_suite
 
 def test_suite():
Index: /main/waeup.kofa/trunk/src/waeup/kofa/tests/test_imagestorage.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/tests/test_imagestorage.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/tests/test_imagestorage.py	(revision 7811)
@@ -27,10 +27,10 @@
 from zope.component.hooks import setSite
 from zope.interface.verify import verifyClass, verifyObject
-from waeup.sirp.app import University
-from waeup.sirp.testing import FunctionalLayer, FunctionalTestCase
-from waeup.sirp.imagestorage import (
+from waeup.kofa.app import University
+from waeup.kofa.testing import FunctionalLayer, FunctionalTestCase
+from waeup.kofa.imagestorage import (
     FileStoreNameChooser, ExtFileStore, DefaultFileStoreHandler,
     DefaultStorage)
-from waeup.sirp.interfaces import (
+from waeup.kofa.interfaces import (
     IFileStoreNameChooser, IExtFileStore, IFileStoreHandler,)
 
Index: /main/waeup.kofa/trunk/src/waeup/kofa/tests/test_interfaces.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/tests/test_interfaces.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/tests/test_interfaces.py	(revision 7811)
@@ -20,6 +20,6 @@
 import grok
 import unittest
-from waeup.sirp.interfaces import DuplicationError, RoleSource
-from waeup.sirp.testing import FunctionalLayer, FunctionalTestCase
+from waeup.kofa.interfaces import DuplicationError, RoleSource
+from waeup.kofa.testing import FunctionalLayer, FunctionalTestCase
 
 class DuplicationErrorTests(unittest.TestCase):
@@ -48,10 +48,10 @@
         # Register a role not visible to waeup portal as its name does
         # not start with 'waeup.'
-        class NonSIRPRole(grok.Role):
+        class NonKOFARole(grok.Role):
             grok.name('nonwaeup.testrole')
             grok.title('Role not suitable for waeup')
             grok.permissions('waeup.Public')
         grok.testing.grok_component('SomeRole', SomeRole)
-        grok.testing.grok_component('NonSIRPRole', NonSIRPRole)
+        grok.testing.grok_component('NonKOFARole', NonKOFARole)
         return
 
Index: /main/waeup.kofa/trunk/src/waeup/kofa/tests/test_objecthistory.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/tests/test_objecthistory.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/tests/test_objecthistory.py	(revision 7811)
@@ -25,11 +25,11 @@
 from zope.security.management import newInteraction, endInteraction
 from zope.security.testing import Principal, Participation
-from waeup.sirp.app import University
-from waeup.sirp.interfaces import IObjectHistory, ISIRPObject
-from waeup.sirp.testing import FunctionalTestCase, FunctionalLayer
-from waeup.sirp.objecthistory import ObjectHistory
+from waeup.kofa.app import University
+from waeup.kofa.interfaces import IObjectHistory, IKOFAObject
+from waeup.kofa.testing import FunctionalTestCase, FunctionalLayer
+from waeup.kofa.objecthistory import ObjectHistory
 
 class SampleObject(grok.Model):
-    grok.implements(ISIRPObject)
+    grok.implements(IKOFAObject)
     pass
 
Index: /main/waeup.kofa/trunk/src/waeup/kofa/tests/test_schoolgrades.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/tests/test_schoolgrades.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/tests/test_schoolgrades.py	(revision 7811)
@@ -2,6 +2,6 @@
 import unittest
 from zope.interface.verify import verifyObject, verifyClass
-from waeup.sirp.interfaces import IResultEntry, IResultEntryField
-from waeup.sirp.schoolgrades import ResultEntry, ResultEntryField
+from waeup.kofa.interfaces import IResultEntry, IResultEntryField
+from waeup.kofa.schoolgrades import ResultEntry, ResultEntryField
 
 class ResultEntryTests(unittest.TestCase):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/tests/test_smtp.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/tests/test_smtp.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/tests/test_smtp.py	(revision 7811)
@@ -27,10 +27,10 @@
 from zope.component.hooks import setSite
 from zope.sendmail.interfaces import IMailDelivery
-from waeup.sirp.app import University
-from waeup.sirp.interfaces import IMailService
-from waeup.sirp.smtp import (
+from waeup.kofa.app import University
+from waeup.kofa.interfaces import IMailService
+from waeup.kofa.smtp import (
     encode_header_item, encode_address, encode_body, FakeSMTPDelivery,
     send_mail)
-from waeup.sirp.testing import FunctionalLayer, FunctionalTestCase
+from waeup.kofa.testing import FunctionalLayer, FunctionalTestCase
 
 #
@@ -328,5 +328,5 @@
             'test program', 'no-reply@waeup.org',
             'test mail receiver', EXTERNAL_MAIL_RECEIVER,
-            'Test Mail from WAeUP SIRP',
+            'Test Mail from WAeUP KOFA',
             'Hi from test mailer!\n\nRegards,\nTest Programme\n'
             )
@@ -345,5 +345,5 @@
             'test program', 'no-reply@waeup.org',
             'test mail receiver', EXTERNAL_MAIL_RECEIVER,
-            'Test Mail from WAeUP SIRP',
+            'Test Mail from WAeUP KOFA',
             'Hi from test mailer!\n\nRegards,\nTest Programme\n'
             )
Index: /main/waeup.kofa/trunk/src/waeup/kofa/tests/test_waeup.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/tests/test_waeup.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/tests/test_waeup.py	(revision 7811)
@@ -17,5 +17,5 @@
 ##
 """
-Test setup for the waeup.sirp package.
+Test setup for the waeup.kofa package.
 """
 import grok
@@ -23,5 +23,5 @@
 import zope.component.eventtesting
 from zope.testing import renormalizing
-from waeup.sirp.testing import FunctionalLayer
+from waeup.kofa.testing import FunctionalLayer
 
 def setUpZope(test):
@@ -32,6 +32,6 @@
         ])
 
-# Register all tests in the waeup.sirp package
+# Register all tests in the waeup.kofa package
 test_suite = grok.testing.register_all_tests(
-    'waeup.sirp', checker=checker, usetup=setUpZope,
+    'waeup.kofa', checker=checker, usetup=setUpZope,
     layer=FunctionalLayer)
Index: /main/waeup.kofa/trunk/src/waeup/kofa/university/__init__.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/university/__init__.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/university/__init__.py	(revision 7811)
@@ -1,10 +1,10 @@
 # Make this a package.
-from waeup.sirp.university.course import Course
-from waeup.sirp.university.coursescontainer import CoursesContainer
-from waeup.sirp.university.certificate import Certificate
-from waeup.sirp.university.certificatescontainer import CertificatesContainer
-from waeup.sirp.university.faculty import Faculty
-from waeup.sirp.university.department import Department
-from waeup.sirp.university.facultiescontainer import FacultiesContainer
+from waeup.kofa.university.course import Course
+from waeup.kofa.university.coursescontainer import CoursesContainer
+from waeup.kofa.university.certificate import Certificate
+from waeup.kofa.university.certificatescontainer import CertificatesContainer
+from waeup.kofa.university.faculty import Faculty
+from waeup.kofa.university.department import Department
+from waeup.kofa.university.facultiescontainer import FacultiesContainer
 __all__ = (
     'Course', 'CoursesContainer',
Index: /main/waeup.kofa/trunk/src/waeup/kofa/university/batching.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/university/batching.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/university/batching.py	(revision 7811)
@@ -26,9 +26,9 @@
 import grok
 from zope.interface import Interface
-from waeup.sirp.interfaces import IBatchProcessor
-from waeup.sirp.university.interfaces import (
+from waeup.kofa.interfaces import IBatchProcessor
+from waeup.kofa.university.interfaces import (
     IFacultiesContainer, IFaculty, ICourse, IDepartment, ICertificate,
     ICertificateCourse)
-from waeup.sirp.utils.batching import BatchProcessor
+from waeup.kofa.utils.batching import BatchProcessor
 
 class FacultyProcessor(BatchProcessor):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/university/catalog.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/university/catalog.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/university/catalog.py	(revision 7811)
@@ -26,7 +26,7 @@
 from zope.index.text.parsetree import ParseError
 from zope.intid import IIntIds
-#from waeup.sirp.catalog import QueryResultItem
-from waeup.sirp.interfaces import IUniversity, IQueryResultItem
-from waeup.sirp.university.interfaces import (
+#from waeup.kofa.catalog import QueryResultItem
+from waeup.kofa.interfaces import IUniversity, IQueryResultItem
+from waeup.kofa.university.interfaces import (
     ICourse, ICertificateCourse, IDepartment,
     ICertificate,
Index: /main/waeup.kofa/trunk/src/waeup/kofa/university/certificate.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/university/certificate.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/university/certificate.py	(revision 7811)
@@ -16,5 +16,5 @@
 ## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 ##
-"""SIRP certificates
+"""KOFA certificates
 """
 import grok
@@ -24,7 +24,7 @@
 from zope.component.interfaces import IFactory, ComponentLookupError
 from zope.interface import implementedBy
-from waeup.sirp.university.interfaces import (
+from waeup.kofa.university.interfaces import (
     ICertificate, ICertificateAdd, ICertificateCourse)
-from waeup.sirp.university.vocabularies import course_levels
+from waeup.kofa.university.vocabularies import course_levels
 
 class Certificate(grok.Container):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/university/certificatescontainer.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/university/certificatescontainer.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/university/certificatescontainer.py	(revision 7811)
@@ -23,6 +23,6 @@
 from zope.component import queryUtility
 from zope.interface import implementedBy
-from waeup.sirp.interfaces import DuplicationError
-from waeup.sirp.university.interfaces import (
+from waeup.kofa.interfaces import DuplicationError
+from waeup.kofa.university.interfaces import (
     ICertificatesContainer, ICertificate)
 
@@ -31,5 +31,5 @@
 
     A :class:`CertificatesContainer` stores
-    :class:`waeup.sirp.university.Certificate` instances.
+    :class:`waeup.kofa.university.Certificate` instances.
 
     It is a :class:`grok.Container` basically acting like a standard
@@ -52,5 +52,5 @@
 
         The `certificate` must be an object implementing
-        :class:`waeup.sirp.university.interfaces.ICertificate`. If
+        :class:`waeup.kofa.university.interfaces.ICertificate`. If
         not, a :exc:`TypeError` is raised.
 
@@ -60,6 +60,6 @@
         If the `code` attribute of `certificate` is already in use by
         another certificate stored in the local site
-        (:class:`waeup.sirp.app.University` instance), then a
-        :exc:`waeup.sirp.interfaces.DuplicationError` will be raised.
+        (:class:`waeup.kofa.app.University` instance), then a
+        :exc:`waeup.kofa.interfaces.DuplicationError` will be raised.
 
         If `name` is already used as a key, a :exc:`KeyError` will be
@@ -92,5 +92,5 @@
 
         The certificate must be an object implementing
-        :class:`waeup.sirp.university.interfaces.ICertificate`. If
+        :class:`waeup.kofa.university.interfaces.ICertificate`. If
         not, a :exc:`TypeError` is raised.
 
@@ -98,6 +98,6 @@
         `code` attribute as key. If this key is already used for
         another certificate stored in the local site
-        (:class:`waeup.sirp.app.University` instance), then a
-        :exc:`waeup.sirp.interfaces.DuplicationError` will be raised.
+        (:class:`waeup.kofa.app.University` instance), then a
+        :exc:`waeup.kofa.interfaces.DuplicationError` will be raised.
         """
         self[getattr(certificate, 'code', None)] = certificate
Index: /main/waeup.kofa/trunk/src/waeup/kofa/university/course.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/university/course.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/university/course.py	(revision 7811)
@@ -23,5 +23,5 @@
 from zope.component import getUtility
 from zope.component.interfaces import IFactory, ComponentLookupError
-from waeup.sirp.university.interfaces import ICourse, ICourseAdd
+from waeup.kofa.university.interfaces import ICourse, ICourseAdd
 
 class Course(grok.Model):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/university/coursescontainer.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/university/coursescontainer.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/university/coursescontainer.py	(revision 7811)
@@ -23,6 +23,6 @@
 from zope.catalog.interfaces import ICatalog
 from zope.component import queryUtility
-from waeup.sirp.interfaces import DuplicationError
-from waeup.sirp.university.interfaces import ICoursesContainer, ICourse
+from waeup.kofa.interfaces import DuplicationError
+from waeup.kofa.university.interfaces import ICoursesContainer, ICourse
 
 class CoursesContainer(grok.Container):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/university/department.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/university/department.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/university/department.py	(revision 7811)
@@ -22,8 +22,8 @@
 from zope.interface import implementedBy
 from zope.component import getUtility
-from waeup.sirp.university.coursescontainer import CoursesContainer
-from waeup.sirp.university.certificatescontainer import CertificatesContainer
-from waeup.sirp.interfaces import ISIRPUtils
-from waeup.sirp.university.interfaces import IDepartment, IDepartmentAdd
+from waeup.kofa.university.coursescontainer import CoursesContainer
+from waeup.kofa.university.certificatescontainer import CertificatesContainer
+from waeup.kofa.interfaces import IKOFAUtils
+from waeup.kofa.university.interfaces import IDepartment, IDepartmentAdd
 
 class Department(grok.Container):
@@ -73,5 +73,5 @@
 
     def longtitle(self):
-        insttypes_dict = getUtility(ISIRPUtils).getInstTypeDict()
+        insttypes_dict = getUtility(IKOFAUtils).getInstTypeDict()
         return "%s %s (%s)" % (
             insttypes_dict[self.title_prefix],
Index: /main/waeup.kofa/trunk/src/waeup/kofa/university/export.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/university/export.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/university/export.py	(revision 7811)
@@ -21,5 +21,5 @@
 import grok
 from cStringIO import StringIO
-from waeup.sirp.interfaces import ICSVExporter
+from waeup.kofa.interfaces import ICSVExporter
 
 class FacultyExporter(grok.GlobalUtility):
Index: /main/waeup.kofa/trunk/src/waeup/kofa/university/facultiescontainer.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/university/facultiescontainer.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/university/facultiescontainer.py	(revision 7811)
@@ -19,6 +19,6 @@
 from zope.component.interfaces import IFactory
 from zope.interface import implementedBy
-from waeup.sirp.interfaces import ISIRPPluggable
-from waeup.sirp.university.interfaces import IFacultiesContainer, IFaculty
+from waeup.kofa.interfaces import IKOFAPluggable
+from waeup.kofa.university.interfaces import IFacultiesContainer, IFaculty
 
 class FacultiesContainer(grok.Container):
@@ -52,10 +52,10 @@
     """A plugin that creates container for faculties inside a university.
     """
-    grok.implements(ISIRPPluggable)
+    grok.implements(IKOFAPluggable)
     grok.name('faculties')
 
     def setup(self, site, name, logger):
         if 'faculties' in site.keys():
-            logger.warn('Could not create container for faculties in SIRP.')
+            logger.warn('Could not create container for faculties in KOFA.')
             return
         site['faculties'] = FacultiesContainer()
Index: /main/waeup.kofa/trunk/src/waeup/kofa/university/faculty.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/university/faculty.py	(revision 7810)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/university/faculty.py	(revision 7811)
@@ -23,6 +23,6 @@
 from zope.interface import implementedBy
 from zope.component import getUtility
-from waeup.sirp.interfaces import ISIRPUtils
-from waeup.sirp.university.interfaces import (
+from waeup.kofa.interfaces import IKOFAUtils
+from waeup.kofa.university.interfaces import (
     IFaculty, IFacultyAdd, IDepartment)
 
@@ -61,5 +61,5 @@
 
     def longtitle(self):
-        insttypes_dict = getUtility(ISIRPUtils).getInstTypeDict()
+        insttypes_dict = getUtility(IKOFAUtils).getInstTypeDict()
         result = "%s %s (%s)" % (
             insttypes_dict[self.title_prefix],
